<!-- templates/base.html -->
<!DOCTYPE html>
<html>
<head>
    {% load static %}
    {% load gestion_projets_extras %}
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

    <link rel="icon" type="image/x-icon" href="{% static 'favicon.ico' %}"/>

    <!-- Metro 4 -->
    <link rel="stylesheet" href="{% static "vendors/metro4/css/metro-all.min.css" %}">
    <link rel="stylesheet" href="{% static "vendors/metro4/css/metro-icons.min.css" %}">
    <link rel="stylesheet" href="{% static "css/index.css" %}">
    <link rel="stylesheet" href="https://cdn.ckeditor.com/ckeditor5/43.2.0/ckeditor5.css">


    <!-- JQuery here for sortable-->
    <script src="{% static "vendors/jquery/jquery-3.4.1.min.js" %}"></script>

    <!-- CKEditor 5 -->
    <script type="importmap">
        {
            "imports": {
                "ckeditor5": "https://cdn.ckeditor.com/ckeditor5/43.2.0/ckeditor5.js",
                "ckeditor5/": "https://cdn.ckeditor.com/ckeditor5/43.2.0/"
            }
        }
    </script>

    <title>{% block title %}Block Titre{% endblock %}</title>

    <style>
        .login-form {
            width: 350px;
            height: auto;
            top: 50%;
        }
    </style>
</head>

{% if user.is_authenticated %}
<body class="m4-cloak h-vh-100">
    <div data-role="navview" data-toggle="#paneToggle" data-expand="xl" data-compact="lg" data-active-state="true">
        <div class="navview-pane">
            <div class="bg-cyan d-flex flex-align-center">
                <button class="pull-button m-0 bg-darkCyan-hover">
                    <span class="mif-menu fg-white"></span>
                </button>
                <h2 class="text-light m-0 fg-white pl-7" style="line-height: 52px">Projects</h2>
            </div>

            <div class="suggest-box">
                <div class="data-box">
                    {% if user.profile %}
                        <img src="{{ user.profile.image.url }}" class="avatar">
                    {% else %}
                        <img src="{% static "images/jek_vorobey.jpg" %}" class="avatar">
                    {% endif %}
                    <div class="ml-4 avatar-title flex-column">
                        <a href="#" class="d-block fg-white text-medium no-decor"><span class="reduce-1">{{ user.get_full_name }}</span></a>
                        <p class="m-0"><span class="fg-green mr-2">&#x25cf;</span><span class="text-small">online</span></p>
                    </div>
                </div>
                {% if user.profile %}
                    <img src="{{ user.profile.image.url }}" class="avatar holder ml-2">
                {% else %}
                    <img src="{% static "images/jek_vorobey.jpg" %}" class="avatar holder ml-2">
                {% endif %}
            </div>

            {% block menu %}
                Block de menu
            {% endblock %}

            <div class="w-100 text-center text-small data-box p-2 border-top bd-grayMouse" style="position: absolute; bottom: 0">
                <div>&copy; 2020 <a href="mailto:adrien.peytavie@univ-lyon1.fr" class="text-muted fg-white-hover no-decor">Adrien Peytavie</a></div>
                <div><a href="https://www.univ-lyon1.fr/" class="text-muted fg-white-hover no-decor">Université Claude Bernard Lyon1</a></div>
            </div>
        </div>

        <div class="navview-content h-100">
            <div data-role="appbar" class="pos-absolute bg-darkCyan fg-white">
                <a href="#" class="app-bar-item d-block d-none-lg" id="paneToggle"><span class="mif-menu"></span></a>

                <div class="app-bar-container ml-auto">
                    {% if request.user|has_group:"Tutor" %}
                    <a href="{% url 'gestion_projets:session_list' %}" class="app-bar-item" title="Nombre de CR à valider">
                        <span class="mif-bell"></span>
                        <span class="badge bg-orange fg-white mt-2 mr-1">{{ user|count_missing_validation }}</span>
                    </a>
                    {% endif %}

                    <div class="app-bar-container">
                        <a href="#" class="app-bar-item">
                            {% if user.profile %}
                                <img src="{{ user.profile.image.url }}" class="avatar">
                            {% else %}
                                <img src="{% static "images/jek_vorobey.jpg" %}" class="avatar">
                            {% endif %}
                            <span class="ml-2 app-bar-name">{{ user.get_full_name }}</span>
                        </a>
                        <div class="user-block shadow-1" data-role="collapse" data-collapsed="true">
                            <div class="bg-darkCyan fg-white p-2 text-center">
                                {% if user.profile %}
                                    <img src="{{ user.profile.image.url }}" class="avatar">
                                {% else %}
                                    <img src="{% static "images/jek_vorobey.jpg" %}" class="avatar">
                                {% endif %}
                                <div class="h4 mb-0">{{ user.get_full_name }}</div>
                                <div>
                                    {% if user|has_group:"Admin" %}Administrateur<br>{% endif %}
                                    {% if user|has_group:"Tutor" %}Tuteur<br>{% endif %}
                                    {% if user|has_group:"Teacher" %}Enseignant<br>{% endif %}
                                    {% if user|has_group:"Student" %}Etudiant<br>{% endif %}
                                </div>
                            </div>
                            <div class="bg-white d-flex flex-justify-between flex-equal-items p-2 bg-light">
                                <button class="button mr-1" onclick="window.location.href='{% url 'account:profile' %}'">Profile</button>
                                <button class="button ml-1" onclick="window.location.href='{% url 'logout' %}'"><span class="mif-switch icon"></span> Se déconnecter</button>
                            </div>
                        </div>
                    </div>
                    <a href="#" class="app-bar-item">
                        <span class="mif-cogs"></span>
                    </a>
                </div>
            </div>

            <div id="content-wrapper" class="content-inner h-100" style="overflow-y: auto">
                <div class="row border-bottom bd-lightGray m-3">
                    <div class="cell-md-4 d-flex flex-align-center">
                        <h3 class="dashboard-section-title  text-center text-left-md w-100">{% block titlePage %}Project <small>Version 0.2</small>{% endblock %}</h3>
                    </div>

                    <div class="cell-md-8 d-flex flex-justify-center flex-justify-end-md flex-align-center">
                        <ul class="breadcrumbs bg-transparent">
                            {% block breadcrumbs %}
                            <li class="page-item"><a href="#" class="page-link"><span class="mif-meter"></span></a></li>
                            <li class="page-item"><a href="#" class="page-link">Dashboard</a></li>
                            {% endblock %}
                        </ul>
                    </div>
                </div>
                {% block content %}
                Block de contenu
                {% endblock %}
            </div>
        </div>
    </div>

    <!-- jQuery first, then Metro UI JS -->
    <script src="{% static "vendors/chartjs/Chart.bundle.min.js" %}"></script>
    <script src="{% static "vendors/qrcode/qrcode.min.js" %}"></script>
    <script src="{% static "vendors/jsbarcode/JsBarcode.all.min.js" %}"></script>
    <script src="{% static "vendors/metro4/js/metro.min.js" %}"></script>
</body>

{% else %}
<body class="m4-cloak h-vh-100 d-flex flex-justify-center flex-align-center">

    <div class="login-box">
        {% block login %}
        <div class="bg-white p-4">
            <img src="{% static "images/p-120x120.png" %}" class="place-right mt-4-minus mr-6-minus">
            <h1 class="mb-0">Projects</h1>
            <div class="form-group mb-4"> &nbsp; </div>
            <div class="text-center text-muted m-4">Site de gestion des projets du département informatique de l'IUT de Bourg-en-Bresse</div>

            <center><button class="button primary" onclick="window.location.href='{% url 'login' %}'">Se connecter</button></center>
            <div class="text-center text-muted m-4">Les comptes sont uniquement créés par l'administrateur</div>
            <!--div class="text-muted text-small">© 2020 {{ user.get_full_name }}</div-->
        </div>
        {% endblock %}
    </div>

    <script src="{% static 'vendors/jquery/jquery-3.4.1.min.js' %}"></script>
    <script src="{% static 'vendors/metro4/js/metro.min.js' %}"></script>

</body>
{% endif %}
</html>
